apiVersion: v1
kind: Namespace
metadata:
  name: argocd
  labels:
    pod-security.kubernetes.io/enforce: privileged
---
apiVersion: v1
kind: Namespace
metadata:
  name: platform-data
  labels:
    agentic-os.io/layer: "data"
---
apiVersion: v1
kind: Namespace
metadata:
  name: platform-security
  labels:
    agentic-os.io/layer: "security"
---
apiVersion: v1
kind: Namespace
metadata:
  name: ai-core
  labels:
    agentic-os.io/layer: "ai-core"
---
apiVersion: v1
kind: Namespace
metadata:
  name: tools-mcp
  labels:
    agentic-os.io/layer: "mcp"
---
apiVersion: v1
kind: Namespace
metadata:
  name: observability
  labels:
    agentic-os.io/layer: "observability"
---
apiVersion: v1
kind: Namespace
metadata:
  name: ai-agents-gumbo
  labels:
    agentic-os.io/ai-agent-namespace: "true"
    agentic-os.io/agent: "gumbo"
---
apiVersion: v1
kind: Namespace
metadata:
  name: ai-agents-bernard
  labels:
    agentic-os.io/ai-agent-namespace: "true"
    agentic-os.io/agent: "bernard"
---
apiVersion: v1
kind: Namespace
metadata:
  name: interface
  labels:
    agentic-os.io/layer: "interface"
---
apiVersion: v1
kind: Namespace
metadata:
  name: curaflow
  labels:
    agentic-os.io/layer: "interface"
    agentic-os.io/app: "curaflow"
